## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanOutputStream::XalanOutputStreamException Class Reference

Inheritance diagram for XalanOutputStream::XalanOutputStreamException:

[legend]
Collaboration diagram for XalanOutputStream::XalanOutputStreamException:

[legend]
List of all members.

## Public Member Functions

- XalanOutputStreamException (const XalanDOMString &theMessage, MemoryManagerType &theManager)
- XalanOutputStreamException (const XalanOutputStreamException &other)
- virtual ~XalanOutputStreamException ()
- virtual const XalanDOMChar * getType () const
    Retrieve type of exception.

## Constructor & Destructor Documentation

XalanOutputStream::XalanOutputStreamException::XalanOutputStreamException | ( | const XalanDOMString & | theMessage,
|  | MemoryManagerType & | theManager
| ) |

XalanOutputStream::XalanOutputStreamException::XalanOutputStreamException | ( | const XalanOutputStreamException & | other | ) |

virtual XalanOutputStream::XalanOutputStreamException::~XalanOutputStreamException | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XalanDOMChar* XalanOutputStream::XalanOutputStreamException::getType | ( |  | ) | const`[virtual]`

| Retrieve type of exception. Returns: type of exception Implements XSLException. Reimplemented in XalanFileOutputStream::XalanFileOutputStreamOpenException, XalanFileOutputStream::XalanFileOutputStreamWriteException, XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException, XalanOutputStream::UnknownEncodingException, XalanOutputStream::UnsupportedEncodingException, and XalanStdOutputStream::XalanStdOutputStreamWriteException.

The documentation for this class was generated from the following file:

- XalanOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.